package data

// Defines the first layer of abstraction on the interface to a persistent data
// store. This may be a file or database.
type IDatastore interface {
    Set(key string, val string) error
    KeyExists(key string)       (bool, error)
    Get(key string)             (string, error)
    GetAll()                    (map[string]string, error)
    GetAllKeys()                (map[string]bool, error)
    Delete(key string)          error
}
